Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingsHolder.UriToUrlMappingKey

- org.grails.web.mapping.DefaultUrlMappingsHolder.UriToUrlMappingKey

-     class DefaultUrlMappingsHolder.UriToUrlMappingKey

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `httpMethod` |
    `java.lang.String` | `uri` |
    `java.lang.String` | `version` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `UriToUrlMappingKey (java.lang.String uri, java.lang.String httpMethod, java.lang.String version)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(java.lang.Object o)`
    `` | `public int` | `hashCode()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### java.lang.String httpMethod

    - #### java.lang.String uri

    - #### java.lang.String version

  - ### Constructor Detail

    - #### UriToUrlMappingKey(java.lang.String uri, java.lang.String httpMethod, java.lang.String version)

  - ### Method Detail

    - #### @java.lang.Override public boolean equals(java.lang.Object o)

    - #### @java.lang.Override public int hashCode()